﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using CygNet_Call_Center.Models;

namespace CygNet_Call_Center
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private void Application_Startup(object sender, StartupEventArgs e)
        {
            MainWindow wnd = new MainWindow();
            if (e.Args.Length == 3)
            {
                Conversation conv = new Conversation();
                conv.FacilityTag = e.Args[0];
                conv.Name = e.Args[1];
                conv.PhoneNumber = e.Args[2];
                wnd.Conversations.Add(conv);
            }
            wnd.Show();
        }
    }
}
